"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var DocSection_1 = require("./DocSection");
/**
 * Represents a section that is introduced by a TSDoc block tag.
 * For example, an `@example` block.
 */
var DocBlock = /** @class */ (function (_super) {
    __extends(DocBlock, _super);
    /**
     * Don't call this directly.  Instead use {@link TSDocParser}
     * @internal
     */
    function DocBlock(parameters) {
        var _this = _super.call(this, parameters) || this;
        /** {@inheritdoc} */
        _this.kind = "Block" /* Block */;
        _this.blockTag = parameters.blockTag;
        return _this;
    }
    /**
     * {@inheritdoc}
     * @override
     */
    DocBlock.prototype.getChildNodes = function () {
        return [this.blockTag].concat(_super.prototype.getChildNodes.call(this));
    };
    return DocBlock;
}(DocSection_1.DocSection));
exports.DocBlock = DocBlock;
//# sourceMappingURL=DocBlock.js.map