import { DocNodeKind, IDocNodeParameters, DocNode } from './DocNode';
/**
 * Constructor parameters for {@link DocCodeSpan}.
 */
export interface IDocCodeSpanParameters extends IDocNodeParameters {
    text: string;
}
/**
 * Represents CommonMark-style code span, i.e. code surrounded by
 * backtick characters.
 */
export declare class DocCodeSpan extends DocNode {
    /** {@inheritdoc} */
    readonly kind: DocNodeKind;
    /**
     * The text that should be rendered as code.
     */
    readonly text: string;
    /**
     * Don't call this directly.  Instead use {@link TSDocParser}
     * @internal
     */
    constructor(parameters: IDocCodeSpanParameters);
}
