"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var DocNode_1 = require("./DocNode");
var DocParticle_1 = require("./DocParticle");
/**
 * Represents an HTML attribute inside a DocHtmlStartTag or DocHtmlEndTag.
 *
 * Example: `href="#"` inside `<a href="#" />`
 */
var DocHtmlAttribute = /** @class */ (function (_super) {
    __extends(DocHtmlAttribute, _super);
    /**
     * Don't call this directly.  Instead use {@link TSDocParser}
     * @internal
     */
    function DocHtmlAttribute(parameters) {
        var _this = _super.call(this, parameters) || this;
        /** {@inheritdoc} */
        _this.kind = "HtmlAttribute" /* HtmlAttribute */;
        _this._attributeNameParticle = new DocParticle_1.DocParticle({
            excerpt: parameters.attributeNameExcerpt,
            content: parameters.attributeName,
            spacingAfterContent: parameters.spacingAfterAttributeName
        });
        _this._equalsParticle = new DocParticle_1.DocParticle({
            excerpt: parameters.equalsExcerpt,
            content: '=',
            spacingAfterContent: parameters.spacingAfterEquals
        });
        _this._attributeValueParticle = new DocParticle_1.DocParticle({
            excerpt: parameters.attributeValueExcerpt,
            content: parameters.attributeValue,
            spacingAfterContent: parameters.spacingAfterAttributeValue
        });
        return _this;
    }
    Object.defineProperty(DocHtmlAttribute.prototype, "attributeName", {
        /**
         * The HTML attribute name.
         */
        get: function () {
            return this._attributeNameParticle.content;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DocHtmlAttribute.prototype, "spacingAfterAttributeName", {
        /**
         * Explicit whitespace that a renderer should insert after the HTML attribute name.
         * If undefined, then the renderer can use a formatting rule to generate appropriate spacing.
         */
        get: function () {
            return this._attributeNameParticle.spacingAfterContent;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DocHtmlAttribute.prototype, "spacingAfterEquals", {
        /**
         * Explicit whitespace that a renderer should insert after the "=".
         * If undefined, then the renderer can use a formatting rule to generate appropriate spacing.
         */
        get: function () {
            return this._equalsParticle.spacingAfterContent;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DocHtmlAttribute.prototype, "attributeValue", {
        /**
         * The HTML attribute value.
         */
        get: function () {
            return this._attributeValueParticle.content;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DocHtmlAttribute.prototype, "spacingAfterAttributeValue", {
        /**
         * Explicit whitespace that a renderer should insert after the HTML attribute name.
         * If undefined, then the renderer can use a formatting rule to generate appropriate spacing.
         */
        get: function () {
            return this._attributeValueParticle.spacingAfterContent;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * {@inheritdoc}
     * @override
     */
    DocHtmlAttribute.prototype.getChildNodes = function () {
        return [this._attributeNameParticle, this._equalsParticle, this._attributeValueParticle];
    };
    return DocHtmlAttribute;
}(DocNode_1.DocNode));
exports.DocHtmlAttribute = DocHtmlAttribute;
//# sourceMappingURL=DocHtmlAttribute.js.map