"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var DocBlock_1 = require("./DocBlock");
var DocParticle_1 = require("./DocParticle");
/**
 * Represents a parsed `@param` block, which provides a description for a
 * function parameter.
 */
var DocParamBlock = /** @class */ (function (_super) {
    __extends(DocParamBlock, _super);
    /**
     * Don't call this directly.  Instead use {@link TSDocParser}
     * @internal
     */
    function DocParamBlock(parameters) {
        var _this = _super.call(this, parameters) || this;
        /** {@inheritdoc} */
        _this.kind = "ParamBlock" /* ParamBlock */;
        _this._parameterNameParticle = new DocParticle_1.DocParticle({
            excerpt: parameters.parameterNameExcerpt,
            content: parameters.parameterName
        });
        _this._hyphenParticle = new DocParticle_1.DocParticle({
            excerpt: parameters.hyphenExcerpt,
            content: '-'
        });
        return _this;
    }
    Object.defineProperty(DocParamBlock.prototype, "parameterName", {
        /**
         * The name of the parameter that is being documented.
         * For example "width" in `@param width - the width of the object`.
         */
        get: function () {
            return this._parameterNameParticle.content;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * {@inheritdoc}
     * @override
     */
    DocParamBlock.prototype.getChildNodes = function () {
        return [
            this.blockTag,
            this._parameterNameParticle,
            this._hyphenParticle
        ].concat(this.nodes);
    };
    return DocParamBlock;
}(DocBlock_1.DocBlock));
exports.DocParamBlock = DocParamBlock;
//# sourceMappingURL=DocParamBlock.js.map