import { DocNode, DocNodeKind, IDocNodeParameters } from './DocNode';
/**
 * Constructor parameters for {@link DocPlainText}.
 */
export interface IDocPlainTextParameters extends IDocNodeParameters {
    text: string;
}
/**
 * Represents a span of comment text that is considered by the parser
 * to contain no special symbols or meaning.
 */
export declare class DocPlainText extends DocNode {
    /** {@inheritdoc} */
    readonly kind: DocNodeKind;
    /**
     * The text content.
     */
    readonly text: string;
    /**
     * Don't call this directly.  Instead use {@link TSDocParser}
     * @internal
     */
    constructor(parameters: IDocPlainTextParameters);
}
