/**
 * Helpers for validating various text string formats.
 */
export declare class StringChecks {
    private static readonly tsdocTagNameRegExp;
    /**
     * Tests tagName to see whether it is a valid TSDoc tag name; if not, returns an error message.
     * TSDoc tag names start with an at-sign ("@") followed by ASCII letters using
     * "camelCase" capitalization.
     */
    static explainIfNotTSDocTagName(tagName: string): string | undefined;
    /**
     * Throws an exception if the input is not a valid TSDoc tag name.
     * TSDoc tag names start with an at-sign ("@") followed by ASCII letters using
     * "camelCase" capitalization.
     */
    static validateTSDocTagName(tagName: string): void;
}
